<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>D-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#dailyCost(int,int)">dailyCost(int, int)</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Obtain the daily cost of attraction staff</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/Staff.html#dailyCost(int,int,int,int)">dailyCost(int, int, int, int)</a></span> - Method in class staff.<a href="../staff/Staff.html" title="class in staff">Staff</a></dt>
<dd>
<div class="block">Calculate the daily cost of the month according to the staff of an attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#date">date</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Date of the tickets for access to the park</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#DATE_FORMATTER">DATE_FORMATTER</a></span> - Static variable in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#dateToString(java.time.LocalDate)">dateToString(LocalDate)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Convert a Date to String format</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceAnnual.html#daysList">daysList</a></span> - Variable in class statistics.<a href="../statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></dt>
<dd>
<div class="block">Array of assistance data accumulated per day.</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttractionAnnual.html#daysList">daysList</a></span> - Variable in class statistics.<a href="../statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></dt>
<dd>
<div class="block">Array of ride attraction data accumulated per day.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#deactivateAttraction(controller.AttractionController,attractions.Attraction)">deactivateAttraction(AttractionController, Attraction)</a></span> - Method in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>
<div class="block">Deactivate attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffBase.html#department">department</a></span> - Variable in class staff.<a href="../staff/StaffBase.html" title="class in staff">StaffBase</a></dt>
<dd>
<div class="block">Department name</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffAssistantAttraction.html#DEPARTMENT">DEPARTMENT</a></span> - Static variable in class staff.<a href="../staff/StaffAssistantAttraction.html" title="class in staff">StaffAssistantAttraction</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffCustomerSupport.html#DEPARTMENT">DEPARTMENT</a></span> - Static variable in class staff.<a href="../staff/StaffCustomerSupport.html" title="class in staff">StaffCustomerSupport</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffManagerAttraction.html#DEPARTMENT">DEPARTMENT</a></span> - Static variable in class staff.<a href="../staff/StaffManagerAttraction.html" title="class in staff">StaffManagerAttraction</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffPublicRelation.html#DEPARTMENT">DEPARTMENT</a></span> - Static variable in class staff.<a href="../staff/StaffPublicRelation.html" title="class in staff">StaffPublicRelation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceStatistics.html#desacumulateIntoYear(java.time.LocalDate,int%5B%5D,double%5B%5D)">desacumulateIntoYear(LocalDate, int[], double[])</a></span> - Method in class statistics.<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></dt>
<dd>
<div class="block">Accumulate the quantities and amounts indicated and according to the date,
 in the year, month and day.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/StatisticsController.html#desacumulateTicket(ticket.Ticket)">desacumulateTicket(Ticket)</a></span> - Method in class controller.<a href="../controller/StatisticsController.html" title="class in controller">StatisticsController</a></dt>
<dd>
<div class="block">Desacumulate quantities and amounts into assistance statistic</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/DiscountEnum.html#description">description</a></span> - Variable in enum ticket.<a href="../ticket/DiscountEnum.html" title="enum in ticket">DiscountEnum</a></dt>
<dd>
<div class="block">Human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#description">description</a></span> - Variable in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SeasonEnum.html#description">description</a></span> - Variable in enum ticket.<a href="../ticket/SeasonEnum.html" title="enum in ticket">SeasonEnum</a></dt>
<dd>
<div class="block">Human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/SourceEnum.html#description">description</a></span> - Variable in enum ticket.<a href="../ticket/SourceEnum.html" title="enum in ticket">SourceEnum</a></dt>
<dd>
<div class="block">Human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#description">description</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Human description</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#descriptionAge()">descriptionAge()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Simple description of age and group of person</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#descriptionAnnualCost()">descriptionAnnualCost()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Returns the descriptive text for users about the annual cost of the staff</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#descriptionDailyCost(int,int)">descriptionDailyCost(int, int)</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Returns the descriptive text for users about the daily cost of the staff</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#descriptionDescounts()">descriptionDescounts()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Descounts list display in line</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#descriptionHeight()">descriptionHeight()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Simple description of height and group of person</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#descriptionMonthlyCost()">descriptionMonthlyCost()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Returns the descriptive text for users about the monthly cost of the staff</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#descriptionPeriodCost(int,int,int)">descriptionPeriodCost(int, int, int)</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Returns the descriptive text for users about the period cost of the staff</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#descriptionPerson()">descriptionPerson()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Simple description of persons groups</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#descriptionPrice()">descriptionPrice()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Simple description of total price</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#descriptionSeason()">descriptionSeason()</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Simple description of selected season</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#descriptionVipSupplement()">descriptionVipSupplement()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Simple description of vip supplement status</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/DiscountEnum.html#discount">discount</a></span> - Variable in enum ticket.<a href="../ticket/DiscountEnum.html" title="enum in ticket">DiscountEnum</a></dt>
<dd>
<div class="block">Percentage discount applied</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#discount">discount</a></span> - Variable in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">Percentage discount applied</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#discount">discount</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Percentage discount applied</div>
</dd>
<dt><a href="../ticket/DiscountEnum.html" title="enum in ticket"><span class="typeNameLink">DiscountEnum</span></a> - Enum in <a href="../ticket/package-summary.html">ticket</a></dt>
<dd>
<div class="block">List of possible discounts</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/DiscountEnum.html#%3Cinit%3E(java.lang.String,int)">DiscountEnum(String, int)</a></span> - Constructor for enum ticket.<a href="../ticket/DiscountEnum.html" title="enum in ticket">DiscountEnum</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#discountList">discountList</a></span> - Variable in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Additional list of discounts that apply to the group</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/DiscountEnum.html#discountList()">discountList()</a></span> - Static method in enum ticket.<a href="../ticket/DiscountEnum.html" title="enum in ticket">DiscountEnum</a></dt>
<dd>
<div class="block">Get the list of possible discounts</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
